{% extends 'layout.html.twig' %}

{% block title %}TWIM Word - Share the word{% endblock %}

{% block body_id 'desktop_sharing_word' %}

{% block body %}

    <canvas id="canvas" data-url-img="{{ asset('build/images/user_placeholder.png') }}" style="border:1px solid black;" width="256" height="256"></canvas>

    <div class="card shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">

            <div class="h3">{{ 'purchase.completed.title'|trans({}, 'frontends') }}</div>
            <p class="h5 text-muted">{{ 'purchase.completed.text'|trans({}, 'frontends') }}</p>

            <div class="mt-3">
                {% include 'Desktop/WordBundle/_preview_word.html.twig' %}
            </div>

            {% if errors is defined and errors.general is defined %}
                <p>
                    <span class="bsp-err-spn invalid-feedback d-block">
                        <span class="d-block">
                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                            <span class="form-error-message">
                                {{ errors.general }}
                            </span>
                        </span>
                    </span>
                </p>
            {% endif %}

            {# Include Body of sharing #}
            {% include 'Desktop/WordBundle/_body_share.html.twig' %}

            <div class="row mt-3">
                <div class="col text-right">
                    <a href="{{ url('homepage') }}" role="button" class="btn btn-secondary">{{ 'go.to.home.label'|trans({},'frontends') }}</a>
                    <a href="{{ url('homepage') }}" role="button" class="btn btn-primary">{{ 'go.to.word.label'|trans({},'frontends') }}</a>
                </div>
            </div>

        </div>
    </div>

{% endblock %}


{#{% block stylesheets %}#}
    {#<link rel="stylesheet" href="{{ asset('build/js/purchasing_transaction.css') }}">#}
{#{% endblock %}#}

{% block javascripts %}
    {#<script src="{{ asset('build/js/purchasing_transaction.js') }}"></script>#}
    {#<script src="{{ asset('build/js/addresses.js') }}"></script>#}
    {# <script src="http://connect.facebook.net/en_US/all.js"></script>
    <script>
        window.fbAsyncInit = function() {
            FB.init({
                appId        : 528910050863721,
                // channelUrl   : your site url //opional
                status       : true, // check login status (we don't make use of this)
                cookie       : true, // enable cookies to allow the server to access the session
                xfbml        : true  // parse XFBML
            });
        };

        // Load the SDK Asynchronously
        (function(d){
            var js, id = 'facebook-jssdk', ref = d.getElementsByTagName('script')[0];
            if (d.getElementById(id)) {return;}
            js = d.createElement('script'); js.id = id; js.async = true;
            js.src = "//connect.facebook.net/en_US/all.js";
            ref.parentNode.insertBefore(js, ref);
        }(document));
    </script> #}
    <script src="{{ asset('build/js/share.js') }}"></script>


{% endblock %}